List Custom Tools
GET
/api/v3/organizations/{organisation}/ai/custom-tools
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/custom-tools';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/custom-tools \ --header 'Authorization: Bearer <token>'Lists all registered custom edge function tools for an organization.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
Responses
Section titled “Responses”Custom tools retrieved successfully
Media typeapplication/json
object
tools
Array<object>
object
name
string
description
string
edgeFunctionUrl
string
isAsync
boolean
inputSchema
string
createdAt
string format: date-time
count
integer
Example
{ "tools": [ { "name": "check_inventory", "description": "Check product inventory levels", "edgeFunctionUrl": "https://my-edge-function.quant.cloud", "isAsync": false } ]}Access denied
Failed to retrieve custom tools
